- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# FbxOneOverXBOF Class Reference

Search for all occurrences

## Detailed Description

Definition at line 725 of file fbxbindingoperator.h.

`#include <fbxbindingoperator.h>`

Inheritance diagram for FbxOneOverXBOF:
[legend]

List of all members.

## Public Member Functions
virtual bool | Evaluate (FbxBindingOperator const *pOperator, FbxObject const *pObject, EFbxType *pResultType, void **pResult) const
| Evaluates the object properties specified by "X" return 1/X as a float.
virtual bool | ReverseEvaluate (FbxBindingOperator const *pOperator, FbxObject const *pTarget, void const *pIn, void **pOut, EFbxType *pOutType, bool setObj, int index) const
| Run the inverse operator on the given object, assigning the result directly to the object.
| FbxOneOverXBOF ()
virtual | ~FbxOneOverXBOF ()
## Static Public Attributes
static char const * | FunctionName
| Name of the operation function.

## Constructor & Destructor Documentation

FbxOneOverXBOF | ( |  | ) |

virtual ~FbxOneOverXBOF | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Evaluate | ( | FbxBindingOperator const * | pOperator,
|  | FbxObject const * | pObject,
|  | EFbxType * | pResultType,
|  | void ** | pResult
| ) |  | const `[virtual]`

Search for all occurrences

Evaluates the object properties specified by "X" return 1/X as a float.

Parameters:

  pOperator | Operator running on the object.
  pObject | The object that will be evaluated.
  pResultType | The type of the result to be returned.
  pResult | A pointer to a buffer that can hold the result.

Returns:
  `true` on success, `false` otherwise.

Implements FbxBindingOperator::Function.

virtual bool ReverseEvaluate | ( | FbxBindingOperator const * | pOperator,
|  | FbxObject const * | pTarget,
|  | void const * | pIn,
|  | void ** | pOut,
|  | EFbxType * | pOutType,
|  | bool | setObj,
|  | int | index
| ) |  | const `[virtual]`

Search for all occurrences

Run the inverse operator on the given object, assigning the result directly to the object.

Parameters:

  pOperator | The operator that will be applied.
  pTarget | The object that will be evaluated.
  pIn |
  pOut |
  pOutType | Type of value being reversed.
  setObj | Control to set the property (only to query by the default ).
  index | Used only in FbxMultiplyDistBOF.

Returns:
  `true` on success, `false` otherwise.

Implements FbxBindingOperator::Function.

## Member Data Documentation

char const* FunctionName `[static]`

Search for all occurrences

Name of the operation function.

Definition at line 729 of file fbxbindingoperator.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxbindingoperator.h

FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF
FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF FbxOneOverXBOF